MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032093Open CASCADE[OCCT] OCCT:Visualizationpublic2021-01-29 03:492021-03-02 16:12
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032093: Visualization, TKOpenGl - loading texture in BGR format fails in OpenGL ES
DescriptionLoading a texture from BGR image format fails without reporting any error message in OpenGL ES context.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0031686feedbackVico Liang Community Visualization - V3d_View::SetBackgroundImage() not working for .bmp .jpg and .tga formats 
child of 0031478closedbugmaster Open CASCADE Visualization, TKOpenGl - allow uploading Cubemap in compressed DDS format when supported by GPU 

-  Notes
(0098487)
git (administrator)
2021-01-29 04:17

Branch CR32093 has been created by kgv.

SHA-1: f9ede6562213b992bebb7905aba6534dfde2fa03


Detailed log of new commits:

Author: kgv
Date: Fri Jan 29 03:34:16 2021 +0300

    0032093: Visualization, TKOpenGl - loading texture in BGR format fails in OpenGL ES
    
    Graphic3d_TextureRoot::convertToCompatible() - fixed handling of
    Image_Format_BGR and Image_Format_BGRA formats.
    
    OpenGl_Texture - added error message for unsupported pixel format;
    error messages have been extended by resource id.
    OpenGl_Texture::InitCubeMap() now does not release cubemap
    on mipmaps generation failure.
    
    Image_PixMap::ImageFormatToString() - added method returning name of pixel format.
(0098488)
git (administrator)
2021-01-29 04:22

Branch CR32093 has been updated forcibly by kgv.

SHA-1: 50621e45c5b0b30317aff39ec671d5211174f74c
(0098489)
git (administrator)
2021-01-29 04:37

Branch CR32093 has been updated forcibly by kgv.

SHA-1: 6e069655772c615758e1942c78f107c9ef67e982
(0098497)
kgv (developer)
2021-01-29 08:44

Patch is ready for review
- OCCT branch: CR32093.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32093-master-KGV/ [^]
(0098498)
osa (developer)
2021-01-29 09:55

The patch was reviewed
(0098529)
bugmaster (administrator)
2021-01-30 16:31

Combination -
OCCT branch : IR-2021-01-29
master SHA - 4ad4054c9029106ee8d3dffe9155bacf3969829b
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2021-01-29 SHA - c3b72814422d9716b8d67e200cc31db4c554346e
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17780.76000000008 / 17796.17000000006 [-0.09%]
Products
Total CPU difference: 11509.04000000011 / 12430.450000000123 [-7.41%]
Windows-64-VC14:
OCCT
Total CPU difference: 19390.859375 / 19444.171875 [-0.27%]
Products
Total CPU difference: 12815.171875 / 13824.375 [-7.30%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0098541)
git (administrator)
2021-01-30 17:16

Branch CR32093 has been deleted by inv.

SHA-1: 6e069655772c615758e1942c78f107c9ef67e982

- Related Changesets
occt: master 776302d4
Timestamp: 2021-01-29 00:34:16
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032093: Visualization, TKOpenGl - loading texture in BGR format fails in OpenGL ES

Graphic3d_TextureRoot::convertToCompatible() - fixed handling of
Image_Format_BGR and Image_Format_BGRA formats.

OpenGl_Texture - added error message for unsupported pixel format;
error messages have been extended by resource id.
OpenGl_Texture::InitCubeMap() now does not release cubemap
on mipmaps generation failure.

Image_PixMap::ImageFormatToString() - added method returning name of pixel format.
mod - src/Graphic3d/Graphic3d_TextureRoot.cxx Diff ] File ]
mod - src/Image/Image_PixMap.cxx Diff ] File ]
mod - src/Image/Image_PixMap.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Texture.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-01-29 03:49 kgv New Issue
2021-01-29 03:49 kgv Assigned To => kgv
2021-01-29 04:17 git Note Added: 0098487
2021-01-29 04:21 kgv Relationship added child of 0031478
2021-01-29 04:22 git Note Added: 0098488
2021-01-29 04:37 git Note Added: 0098489
2021-01-29 08:44 kgv Note Added: 0098497
2021-01-29 08:44 kgv Assigned To kgv => osa
2021-01-29 08:44 kgv Status new => resolved
2021-01-29 09:55 osa Note Added: 0098498
2021-01-29 09:55 osa Assigned To osa => bugmaster
2021-01-29 09:55 osa Status resolved => reviewed
2021-01-30 16:31 bugmaster Note Added: 0098529
2021-01-30 16:31 bugmaster Status reviewed => tested
2021-01-30 16:34 bugmaster Test case number => Not required
2021-01-30 16:50 bugmaster Changeset attached => occt master 776302d4
2021-01-30 16:50 bugmaster Status tested => verified
2021-01-30 16:50 bugmaster Resolution open => fixed
2021-01-30 17:16 git Note Added: 0098541
2021-03-02 16:12 kgv Relationship added related to 0031686


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker